русский

FAQ: Как мне активировать TLS 1.2 для ArcGIS Runtime SDK for Java?

Question

Как мне активировать TLS 1.2 для ArcGIS Runtime SDK for Java?

Answer

Примечание:
См. страницы жизненного цикла продуктов на сайте Esri Support, где указан статус поддержки для каждой версии ArcGIS Runtime SDK for Java.

На всех поддерживаемых платформах ArcGIS Runtime SDK версии 100.4 и 10.2.x поддерживают TLS 1.2 без каких-либо изменений приложения, предоставляемых при использовании Java 8 обновления 181 или более нового.
Но приложения ArcGIS 10.2.x, выполняемые в среде Java 7, возвращают ошибки javax.net.ssl.SSLException при использовании TLS.
Esri рекомендует запускать приложения ArcGIS 10.2.x в Java 8 обновления 181 или более нового.

Примечание:
См. Страницу поддержки TLS на Esri для получения более подробной информации о том, как использовать TLS 1.2 с прочими продуктами Esri .

Related Information

Last Published: 4/8/2021

Article ID: 000019415

Software: ArcGIS Runtime SDK for Java 100.9, 100.8, 100.7, 100.6, 100.5, 100.4, 100.3, 100.2.1, 100.2.0, 100.10, 100.1.0, 100.0.0, 10.2.4, 10.2.3, 10.2, 10.1.1, 1.0